Index: CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/ORCHIDEE/orchidee.def_v4
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/ORCHIDEE/orchidee.def_v4	(revision 6868)
+++ CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/ORCHIDEE/orchidee.def_v4	(revision 6870)
@@ -1,5 +1,5 @@
-# $HeadURL: svn://forge.ipsl.jussieu.fr/orchidee/trunk/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/PARAM/orchidee.def $
-# $Date: 2023-05-12 13:04:57 +0200 (ven. 12 mai 2023) $
-# $Revision: 8000 $
+# $HeadURL: svn://forge.ipsl.jussieu.fr/orchidee/trunk/ORCHIDEE_OL/FG_CRUJRA_SPIN/PARAM/orchidee.def $
+# $Date: 2024-03-29 12:18:36 +0100 (ven. 29 mars 2024) $
+# $Revision: 8512 $
 
 #**************************************************************************
@@ -43,9 +43,13 @@
 
 
-# Parameters related to the diagnostic output files
+# Parameters related to the diagnostic output files and reading input files
 #**************************************************************************
 # Use XIOS for writing diagnostics file
 # (defualt y)
 XIOS_ORCHIDEE_OK = y
+
+# Use XIOS for interpolation of input files
+# XIOS_INTERPOLATION=n
+
 
 # Parameters related to debugging and error checking
@@ -114,11 +118,11 @@
 # SOILTYPE_CLASSIF :  Type of classification used for the map of soil types
 # (default zobler)
-SOILTYPE_CLASSIF = zobler 
+SOILTYPE_CLASSIF = usda 
 
 # SOILALB_FILE : File to read bare soil albedo
 SOILALB_FILE=soilcolor.nc
 
-# Fraction of saturated volumetric soil moisture above which transpir is max (0.3-0.9, unitless)
-WETNESS_TRANSPIR_MAX= 0.8, 0.8, 0.8, 0.8, 0.8, 0.8, 0.8, 0.8, 0.8, 0.8, 0.8, 0.8, 0.8
+# FR_CENTER_C ([Â°C]) :  Center value of the freezing window in degree Celsius (default -1.0)
+FR_CENTER_C=-1.0 
 
 # Parameters related to vegetation map
@@ -128,8 +132,4 @@
 VEGET_UPDATE = _AUTO_
 
-# Read lai map
-# (default n)
-LAI_MAP = n
-
 # Prescribed vegetation
 # (default n)
@@ -138,9 +138,9 @@
 
 # Parameters related to surface and thermal physical properties
+#************************************************************************
 
 # Time constant of the albedo decay of snow (days)
 TCST_SNOWA=10.
 
-#************************************************************************
 # ROUGH_DYN : Account for a dynamic roughness height (activation of Su et
 # al. parametrization)
@@ -148,4 +148,10 @@
 ROUGH_DYN = y
 
+# USE_RATIO_Z0M_Z0H:  Impose a constant ratio as in ROUGH_DYN (default: y) 
+USE_RATIO_Z0M_Z0H=y
+
+# RATIO_Z0M_Z0H:  Ratio between z0m and z0h (Default: 10.0)
+RATIO_Z0M_Z0H=10.0
+
 # OK_FREEZE :  Activate the complet soil freezing scheme
 # (default y)
@@ -155,4 +161,7 @@
 # (default y)
 OK_EXPLICITSNOW = y
+
+# NSNOW : Number of snow levels. Possible values are 3 or 12
+NSNOW=12
 
 # Controls several settings related to the energy budget and water stress.
@@ -180,5 +189,5 @@
 # Analytic spinup
 # (default n)
-SPINUP_ANALYTIC = n
+SPINUP_ANALYTIC = n 
 SPINUP_PERIOD = 10
 
@@ -207,28 +216,22 @@
 # File and variable name for nitrogen input files
 #**************************************************************************
-Nammonium_FILE = ndep_nhx.nc
+Nammonium_FILE = Nammonium.nc
 Nammonium_VAR = nhx
 
-Nnitrate_FILE = ndep_noy.nc
+Nnitrate_FILE = Nnitrate.nc
 Nnitrate_VAR = noy
 
-Nfert_FILE = NONE
-Nfert_VAR = nfer
-
-Nmanure_FILE = NONE
-Nmanure_VAR = Nmanure
-
-Nfert_cropland_FILE = nfert_cropland.nc
-Nfert_cropland_VAR = nfer
-
-Nmanure_cropland_FILE = nmanure_cropland.nc
-Nmanure_cropland_VAR = Nmanure
-
-Nfert_pasture_FILE = nfert_pasture.nc
-Nfert_pasture_VAR = Nfer
-
-Nmanure_pasture_FILE = nmanure_pasture.nc
-Nmanure_pasture_VAR = Nmanure
-
+Nfert_ammo_cropland_FILE = Nfert_ammo_cropland.nc
+Nfert_ammo_cropland_VAR = nfer_crop_nh4
+
+Nfert_nitr_cropland_FILE = Nfert_nitr_cropland.nc
+Nfert_nitr_cropland_VAR = nfer_crop_no3
+
+Nfert_ammo_pasture_FILE = Nfert_ammo_pasture.nc
+Nfert_ammo_pasture_VAR = nfer_pas_nh4
+
+Nfert_nitr_pasture_FILE = Nfert_nitr_pasture.nc
+Nfert_nitr_pasture_VAR = nfer_pas_no3
+ 
 Nbnf_FILE= bnf.nc
 Nbnf_VAR= BNF_MGN_PERM2_PERYR
@@ -252,2 +255,3 @@
 # CO2 FOR BVOC - POSSELL :  CO2 inhibition effect for isoprene based on Possell approach?
 CO2_FOR_BVOC_POSSELL=n
+
Index: CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/ORCHIDEE/orchidee_pft.def_15pft.1ac_v4
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/ORCHIDEE/orchidee_pft.def_15pft.1ac_v4	(revision 6868)
+++ CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/ORCHIDEE/orchidee_pft.def_15pft.1ac_v4	(revision 6870)
@@ -1,5 +1,3 @@
-# $HeadURL: svn://forge.ipsl.jussieu.fr/orchidee/trunk/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/PARAM/orchidee_pft.def_15pft.1ac $
-# $Date: 2023-05-12 13:04:57 +0200 (ven. 12 mai 2023) $
-# $Revision: 8000 $
+
 #***************************************************************************
 #            Set-up age classes
@@ -71,5 +69,15 @@
 
 
+# ALPHA_SELF_THINNING(unitless)
+ALPHA_SELF_THINNING__05=2430
+ALPHA_SELF_THINNING__07=3292
+
+
 # COEFF_MAINT_INIT(gC.gN.day-1)
+COEFF_MAINT_INIT__05=0.0227
+COEFF_MAINT_INIT__06=0.226
+COEFF_MAINT_INIT__07=0.0171
+COEFF_MAINT_INIT__08=0.09333
+COEFF_MAINT_INIT__09=0.2049
 COEFF_MAINT_INIT__14=0.07
 COEFF_MAINT_INIT__15=0.13
@@ -96,5 +104,18 @@
 
 
+# K_BELOWGROUND(m3 kg-1 s-1 MPa-1)
+K_BELOWGROUND__02=8.62e-08
+K_BELOWGROUND__05=2.82e-08
+K_BELOWGROUND__06=3e-07
+K_BELOWGROUND__07=8.19e-09
+K_BELOWGROUND__09=4.85e-08
+
+
 # K_LATOSA_MAX(unitless)
+K_LATOSA_MAX__05=5632
+K_LATOSA_MAX__06=19723
+K_LATOSA_MAX__07=15826
+K_LATOSA_MAX__08=32756
+K_LATOSA_MAX__09=30049
 K_LATOSA_MAX__14=8500
 K_LATOSA_MAX__15=10000
@@ -102,4 +123,9 @@
 
 # K_LATOSA_MIN(unitless)
+K_LATOSA_MIN__05=2018
+K_LATOSA_MIN__06=8211
+K_LATOSA_MIN__07=6073
+K_LATOSA_MIN__08=16710
+K_LATOSA_MIN__09=14730
 K_LATOSA_MIN__14=8500
 K_LATOSA_MIN__15=10000
@@ -107,4 +133,9 @@
 
 # LONGEVITY_SAP(days)
+LONGEVITY_SAP__05=3534
+LONGEVITY_SAP__06=1563
+LONGEVITY_SAP__07=3127
+LONGEVITY_SAP__08=1937
+LONGEVITY_SAP__09=1570
 LONGEVITY_SAP__14=180
 LONGEVITY_SAP__15=240
@@ -121,4 +152,11 @@
 
 
+# NUE_OPT((mumol[CO2] s-1) (gN[leaf])-1)
+NUE_OPT__05=18.88
+NUE_OPT__07=19.96
+NUE_OPT__08=20.34
+NUE_OPT__09=40.79
+
+
 # PERCENT_THROUGHFALL_PFT(percent)
 PERCENT_THROUGHFALL_PFT__02=35
@@ -144,4 +182,35 @@
 PHENO_MODEL__14=moi
 PHENO_MODEL__15=moigdd
+
+
+# SLAINIT(m2 gC-1)
+SLAINIT__05=0.03604
+SLAINIT__06=0.06131
+SLAINIT__07=0.0119
+SLAINIT__08=0.06822
+SLAINIT__09=0.03684
+
+
+# TREE_FF(unitless)
+TREE_FF__05=0.793
+TREE_FF__06=0.8552
+TREE_FF__07=0.7359
+TREE_FF__08=0.9442
+TREE_FF__09=0.6209
+
+
+# VMAX_UPTAKE_NH4(umol g DryWeight_root-1 h-1)
+VMAX_UPTAKE_NH4__05=23.96
+VMAX_UPTAKE_NH4__06=10.18
+VMAX_UPTAKE_NH4__07=12.19
+VMAX_UPTAKE_NH4__08=14.06
+VMAX_UPTAKE_NH4__09=16.51
+
+
+# VMAX_UPTAKE_NO3(umol g DryWeight_root-1 h-1)
+VMAX_UPTAKE_NO3__05=5.03
+VMAX_UPTAKE_NO3__06=23.51
+VMAX_UPTAKE_NO3__07=9.85
+VMAX_UPTAKE_NO3__09=17.97
 
 
